<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title>自动调整进度条</title>
	<style type="text/css">
		#div1{
			width:100px;
			height: 100px;
			margin:10px;
			float:left;
			background: red;
			border:1px solid #000;
		}
	</style>
	<script>
			function getStyle(obj,name){
				if(obj.currentStyle){
					return obj.currentStyle[name];
				}else{
					return getComputedStyle(obj,false)[name];
				}
			};
			setInterval(function(){
				var oDiv=document.getElementById('div1');
				oDiv.style.width=parseInt(getStyle(oDiv,'width'))-1+'px';
			},30);
	</script>
</head>
<body>
	<div id="div1"></div>
</body>
</html>